:root {
  --img-bookmark-height: 357px;
}

/* @media only screen and (min-width: 768px) {
  body {
    min-width: 1400px;
  }
} */

.content:has(.img-bookmark.above-text) {
  position: relative;
}

.img-bookmark {
  max-height: 365px;
  max-width: 1162px;
  width: 80%;
  z-index: 10;
}
@media only screen and (max-width: 768px) {
  .img-bookmark {
    width: 100%;
  }
}
.img-bookmark.above-text {
 top: var(--page-pad);
    /* opacity: 75%; */
}
@media only screen and (min-width: 768px) {
  .img-bookmark.above-text {
    position: absolute;
  }
}
.img-bookmark.above-text + * {
  /* padding-top: calc(var(--img-bookmark-height) / 4); */
  padding-top: 6%;
}

.div-bookmark {
  flex-basis: 66.6%;
  /* margin-top: calc(var(--img-bookmark-height) / 4 * 3 + (var(--page-pad) / 2)); */  
  /* @media only screen and (min-width: 1480px) {
    margin-top: 22%;
    margin-left: 40%;
  } */
  padding-left: var(--page-pad);
  padding-right: calc(var(--page-pad) / 2);
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  box-shadow: 0 0, 0 2px 8px 0 rgba(0,0,0,0.19);
}
@media only screen and (max-width: 768px) {
  .div-bookmark {
    margin-top: -20px;
    border-top-left-radius: 0;
  }
}
@media only screen and (min-width: 768px) {
  .div-bookmark {
    /* and (max-width: 1480px) */
    margin-top: 22%;
    margin-left: 40%;
  }
}
  

.star-hr {
  width: 250px;
  height: 23px;
  border: none;
  background-image: url(assets/img/icons/star_filled.png);
  background-repeat: repeat-x;
  flex-shrink: 0;
}

section.course-specs .course-cards > .card-row > .card {
  border: 1px solid var(--colour-main);
}

.course-cards {
  row-gap: var(--page-pad);
}
.course-cards .card-row {
 column-gap: calc(var(--page-pad) / 2);
  row-gap: calc(var(--page-pad) / 2);
  /* flex-wrap: nowrap; */
}
.course-cards .card-row .card {
  flex-basis: 0;
  flex-grow: 1;
  /* height: 282px; */
  padding: calc(var(--page-pad) / 2);
  border-radius: calc(var(--card-border-radius) * 4);
  line-height: 1.5em;
}
.course-cards > .card-row>.card {
  padding-bottom: 0;
}
.course-cards > .card-row>.card > * {
  margin-left: 10px;
  margin-right: 10px;
}

/* for languages without group lessons: CN, TR */
.groups.children-groups .course-cards .card-row:nth-child(2) .card:only-child {
  flex-basis: 45%;
  flex-grow: 0;
}

.course-inner-cards {
  width: 100%;
}
.course-inner-cards .card-row {
  width: 100%;
  column-gap: 10px;
  /* flex-wrap: nowrap; */
}
.course-inner-cards .card {
  height: auto;
  flex-shrink: 1;
  border-radius: calc(var(--card-border-radius) * 6);
  border: none;
}
.course-inner-cards .card.yellow {
  background-color: var(--colour-yellow-muted);
}
.course-inner-cards .card.blue {
  background-color: var(--colour-main-40);
}
.course-inner-cards .card img[src*="/brush-white.png"] {
  /* max-width: 90%; */
  height: 1em;
}

/* .blog-sections-cards.card-row {
  flex-wrap: nowrap;
} */

.blog-sections-cards .card-row .card,
.target .card-row .card,
section.children .card-row .card {
  flex-basis: 0;
  flex-grow: 1;
}

.target .round {
  padding: 1.5rem;
}

img[src*="/target.png"],
img[src*="/medal_star.png"] {
  width: 64px;
}

.teens-bg-scroll {
  position: relative;
  width: 80%;
  height: 362px;
  margin-top: var(--page-pad);
  background-image: url(assets/img/languages_and_services/teenagers_bg_yellow.png);
  background-repeat: no-repeat; 
}
@media only screen and (max-width: 768px) {
  .teens-bg-scroll {
    width: 100%;
    position: static;
  }
}
.teens-bg-scroll .text-block-1 {
  width: 45%;
  position: relative;
  top: 5%;
  left: 10%;
}
@media only screen and (max-width: 768px) {
  .teens-bg-scroll .text-block-1 {
    width: 100%;
    position: static;
  }
}
@media only screen and (min-width: 768px) and (max-width: 1289px) {
  .teens-bg-scroll .text-block-1 {
    width: 55%;
  }
}
.teens-bg-scroll .checklist-target {
  position: absolute;
  height: 182px;
  top: -10%;
  right: 15%;    
}
@media only screen and (max-width: 1350px) {
  .teens-bg-scroll .checklist-target {
    display: none;
  }
}
.teens-bg-scroll .student {
  position: absolute;
  height: 100px;
  bottom: 7%;
  left: 25%;  
}
@media only screen and (max-width: 1350px) {
  .teens-bg-scroll .student {
    display: none;
  }
}
.teens-bg-scroll .text-block-2 {
  font-size: 1.25rem;
  width: 45%;
  position: relative;
  margin-left: auto;
  top: 5%;
  right: 5%;

  
}
@media only screen and (max-width: 768px) {
  .teens-bg-scroll .text-block-2 {
    width: 100%;
    position: static;
  }
}
@media only screen and (min-width: 768px) and (max-width: 1289px) {
  .teens-bg-scroll .text-block-2 {
    width: 55%;
  }
}  
    

section.teens-roadmap .mobile  img[src*="teenagers_roadmap.png"] {
  width: 242px;
  height: 450px; /* 520px;*/
  object-fit: none;
  margin: auto;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(1) {
  object-position: 0 -70px;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(2) {
  object-position: -235px -300px;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(3) {
  height: 500px;
  object-position: -460px 0px;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(4) {
  object-position: -685px -300px;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(5) {
  object-position: -910px -30px;
  height: 460px;
}
section.teens-roadmap .mobile img[src*="teenagers_roadmap.png"]:nth-of-type(6) {
  object-position: -1140px -300px;
}

section.groups .adult-groups-img {
    /* margin-right: -40px;  */
    width: 100%;
    max-width: calc(638px - 40px);
}
section.groups .course-cards .card-row {
  column-gap: 0;
}
@media only screen and (min-width: 768px) {
  section.groups .course-inner-cards {
    flex-basis: 60% !important;
    margin-top: 100px;
    flex-grow: 0 !important;
  }
}
section.groups .course-inner-cards .card {
  padding: var(--page-pad);      
}
@media only screen and (max-width: 1280px) {
  section.groups .course-inner-cards .card.private-lessons {
    margin-top: var(--page-pad);
  }
}
@media only screen and (min-width: 1280px) {
  section.groups .course-inner-cards .card.private-lessons {
    margin-top: -80px;
    position: relative;
    left: -40px;
  }
}
@media only screen and (max-width: 768px) {
  section.groups .adult-groups-img {
      margin-right: 0;
      width: var(--content-max-width);
  }
}
    

section.children-private .mobile img[src*="kids_roadmap.png"] {
  width: 242px;
  height: 400px; 
  object-fit: none;
  margin: auto;
}
section.children-private .text-4-img { 
  padding: var(--page-pad); 
  /* margin-right: calc(var(--page-pad) * -1); */
}
 @media only screen and (min-width: 1180px) {
  section.children-private .text-4-img {
    margin-top: 160px; 
  }
}
section.children-private .mobile img[src*="kids_roadmap.png"]:nth-of-type(1) {
  object-position: 0 -70px;
}
section.children-private .mobile img[src*="kids_roadmap.png"]:nth-of-type(2) {
  object-position: -200px -300px;
}
section.children-private .mobile img[src*="kids_roadmap.png"]:nth-of-type(3) {
  height: 500px;
  object-position: -380px 0px;
}
section.children-private .mobile img[src*="kids_roadmap.png"]:nth-of-type(4) {
  object-position: -560px -335px;
}

img[src*="/children_section.png"] {
  min-width: 650px;
  max-width: 722px;
  width: 100%;
}
@media only screen and (max-width: 768px) {
  img[src*="/children_section.png"] {
    min-width: var(--content-inner-max-width);
  }
}

@media only screen and (min-width: 768px) {
  section.children-groups .children-groups-img {
    z-index: -1; 
    position: absolute; 
    height: 100%;
    max-height: 744px; 
    left: 25%;
  }
}
@media only screen and (max-width: 768px) {
  section.children-groups .children-groups-img {
    width: 100%;
  }
}
section.children-groups .course-cards .card-row {
  column-gap: 0;
}
@media only screen and (min-width: 768px) {
  section.children-groups .course-cards {
      overflow-x: hidden;
  }
}
@media only screen and (min-width: 768px) {
  section.children-groups .course-inner-cards {
    flex-basis: 60% !important;
    margin-top: 100px;
    flex-grow: 0 !important;
  }
}
section.children-groups .course-inner-cards .card {
  padding: var(--page-pad);      
}
 @media only screen and (max-width: 1280px) {
  section.children-groups .course-inner-cards .card.private-lessons {
    margin-top: var(--page-pad);
  }
}
@media only screen and (min-width: 1280px) {
  section.children-groups .course-inner-cards .card.private-lessons {
    margin-top: -80px;
    position: relative;
    left: -40px;
  }
}
      